by r0t,der4444,cembo,VietMafia

Wednesday, June 21, 2006

IMGallery vuln.

###############################################
Vuln. discovered by : r0t
Date: 21 june 2006
vendor:http://www.imgallery.zor.pl/
affected versions:2.4 and prior
###############################################


Vuln. Description:

IMGallery contains a flaw that allows a remote sql injection attacks.Input passed to the "start","sort" parameter in "galeria.php" isn't properly sanitised before being used in a SQL query.
This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

###############################################
Solution:
Edit the source code to ensure that input is properly sanitised.
###############################################
More information @ unsecured-systems.com/forum/

0 Comments:

Post a Comment

<< Home

 
Copyright (c) 2006 Pridels Sec Crew